Bug 53246 - GUI Installer bombs out after package selection
GUI Installer bombs out after package selection
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-05 10:17 EDT by Frank Sweetser
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-01 12:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Gdk and Gtk error messages (1.28 KB, text/plain)
2001-09-06 11:12 EDT, Frank Sweetser
no flags Details

  None (edit)
Description Frank Sweetser 2001-09-05 10:17:03 EDT
Standard install (enter at syslinux prompt), tried both "Custom" and
"Laptop" install.  Everything works fine, until package selection.  After
picking categories, and hitting "Next", the checking dependancies window
pops up for a second or two, then the installer exits abnormally - no

Works fine in text mode installer.
Comment 1 Michael Fulbright 2001-09-05 11:28:06 EDT
How  much RAM do you have?

Could you look on VC3 and VC4 for any error messages?
Comment 2 Frank Sweetser 2001-09-05 12:54:17 EDT
128M memory.  The last line on VC3 is
Swap attempt of 128M to 256M

No errors on VC4.
Comment 3 Michael Fulbright 2001-09-05 14:41:15 EDT
Is this a CDROM or NFS based install?

We've done tons of these cases and haven't seen your problem, so I'm trying to
figure out if there is a hardware issue involved.

What is the hardware?
Comment 4 Frank Sweetser 2001-09-05 14:48:53 EDT
HP Omnibook 6000 CD based install, ATI Rage Mobility Pro 8M video card.  I'll
try reburning the discs tonight to double check the media.
Comment 5 Matt Wilson 2001-09-05 20:52:44 EDT
OK, let us know when you've verified the media.
Comment 6 Frank Sweetser 2001-09-06 11:05:21 EDT
Burned a fresh out-of-the-box CD, reverified md5sum, same results.  Also
attaching string of gdk and gtk error messages (these seem to have been there in
previous installer, attaching in case they're relevant).
Comment 7 Frank Sweetser 2001-09-06 11:12:00 EDT
Created attachment 31095 [details]
Gdk and Gtk error messages
Comment 8 Matt Wilson 2001-09-06 12:19:44 EDT
try using the nofb option at boot.

This is 100% reproducable, correct?
Comment 9 Frank Sweetser 2001-09-06 12:29:41 EDT
Still happens with nofb at boot, and yes, it's 100% reliable.
Comment 10 Michael Fulbright 2001-09-06 12:44:45 EDT
Hmm the gdk/gtk messages are harmless (but noisy).

Did you try ide=nodma when you booted?
Comment 11 Frank Sweetser 2001-09-06 14:35:54 EDT
Booted install with 'linux ide=nodma', same result.
Comment 12 Matt Wilson 2001-09-06 15:36:52 EDT
you're not doing individual package selection, correct?
Comment 13 Frank Sweetser 2001-09-06 16:42:43 EDT
Correct - package group selection only.
Comment 14 Matt Wilson 2001-09-06 16:49:17 EDT
have any of the Fairfax releases installed?
Comment 15 Frank Sweetser 2001-09-06 16:57:19 EDT
Yes - RC1 installed with no problems.
Comment 16 Frank Sweetser 2001-09-11 11:33:01 EDT
Still present in enigma...
Comment 17 Brent Fox 2001-09-13 17:36:17 EDT
Does TUI install work ok?  We haven't seen this behavior in any of our testing.
 Of course, we don't have your exact hardware...
Comment 18 Frank Sweetser 2001-09-13 21:14:31 EDT
Yes, TUI works fine.

Another data point:  exact same problem, equally reproducable, on my desktop at 
home, which has an ATI Rage Pro Turbo AGP 2X video card.
Comment 19 Brent Fox 2001-09-20 14:18:33 EDT
Hmm...contrary to what msf said earlier, I think the problem is related to the
GTK errors somehow.  You should not be seeing those messages, and since the
md5sums check out and TUI works fine, it's not the cdrom's problem.

Have you tried booting with 'linux lowres nofb' and seeing if that makes a
Comment 20 Brent Fox 2001-10-01 12:03:53 EDT
Any more info here?
Comment 21 Frank Sweetser 2001-10-01 12:05:18 EDT
Nope - same results...
Comment 22 Brent Fox 2001-10-02 16:23:35 EDT
I tried Enigma with an ATI Rage Pro Turbo and the install completed
successfully.  I don't know what is causing the problems that you are seeing,
and I am unable to reproduce them.  Resolving as Worksforme.

Note You need to log in before you can comment on or make changes to this bug.